Module com.io7m.jtensors.core
Package com.io7m.jtensors.core.parameterized.matrices

## Class PMatrix3x3D<A,B>

- java.lang.Object
- - com.io7m.jtensors.core.parameterized.matrices.PMatrix3x3D<A,B>

- Type Parameters:
    `A` - A phantom type parameter (possibly representing a source coordinate system)
    `B` - A phantom type parameter (possibly representing a target coordinate system)
  All Implemented Interfaces:
    `MatrixComputationalType`, `PMatrix3x3DType<A,B>`, `PMatrixReadable3x3DType<A,B>`, `MatrixReadable3x3DType`, `MatrixReadableDType`

      public final class PMatrix3x3D<A,B>
      extends Object
      implements PMatrix3x3DType<A,B>

  The type of 3x3 `double`-typed matrices.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PMatrix3x3D.Builder<A,B>` | Builds instances of type `PMatrix3x3D`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <A,B> PMatrix3x3D.Builder<A,B>` | `builder​()` | Creates a builder for `PMatrix3x3D`.
    `boolean` | `equals​(Object another)` | This instance is equal to all instances of `PMatrix3x3D` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `r0c0`, `r0c1`, `r0c2`, `r1c0`, `r1c1`, `r1c2`, `r2c0`, `r2c1`, `r2c2`.
    `static <A,B> PMatrix3x3D<A,B>` | `of​(double r0c0, double r0c1, double r0c2, double r1c0, double r1c1, double r1c2, double r2c0, double r2c1, double r2c2)` | Construct a new immutable `PMatrix3x3D` instance.
    `double` | `r0c0​()` |
    `double` | `r0c1​()` |
    `double` | `r0c2​()` |
    `double` | `r1c0​()` |
    `double` | `r1c1​()` |
    `double` | `r1c2​()` |
    `double` | `r2c0​()` |
    `double` | `r2c1​()` |
    `double` | `r2c2​()` |
    `String` | `toString​()` | Prints the immutable value `PMatrix3x3D` with attribute values.

    - ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable3x3DType

      `rowColumn`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### r0c0

          public double r0c0​()

      Specified by:
        `r0c0` in interface `MatrixReadable3x3DType`
      Specified by:
        `r0c0` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 0 column 0

    - #### r0c1

          public double r0c1​()

      Specified by:
        `r0c1` in interface `MatrixReadable3x3DType`
      Specified by:
        `r0c1` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 0 column 1

    - #### r0c2

          public double r0c2​()

      Specified by:
        `r0c2` in interface `MatrixReadable3x3DType`
      Specified by:
        `r0c2` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 0 column 2

    - #### r1c0

          public double r1c0​()

      Specified by:
        `r1c0` in interface `MatrixReadable3x3DType`
      Specified by:
        `r1c0` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 1 column 0

    - #### r1c1

          public double r1c1​()

      Specified by:
        `r1c1` in interface `MatrixReadable3x3DType`
      Specified by:
        `r1c1` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 1 column 1

    - #### r1c2

          public double r1c2​()

      Specified by:
        `r1c2` in interface `MatrixReadable3x3DType`
      Specified by:
        `r1c2` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 1 column 2

    - #### r2c0

          public double r2c0​()

      Specified by:
        `r2c0` in interface `MatrixReadable3x3DType`
      Specified by:
        `r2c0` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 2 column 0

    - #### r2c1

          public double r2c1​()

      Specified by:
        `r2c1` in interface `MatrixReadable3x3DType`
      Specified by:
        `r2c1` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 2 column 1

    - #### r2c2

          public double r2c2​()

      Specified by:
        `r2c2` in interface `MatrixReadable3x3DType`
      Specified by:
        `r2c2` in interface `PMatrix3x3DType<A,B>`
      Returns:
        The value at row 2 column 2

    - #### equals

          public boolean equals​(Object another)

      This instance is equal to all instances of `PMatrix3x3D` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `r0c0`, `r0c1`, `r0c2`, `r1c0`, `r1c1`, `r1c2`, `r2c0`, `r2c1`, `r2c2`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString​()

      Prints the immutable value `PMatrix3x3D` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <A,B> PMatrix3x3D<A,B> of​(double r0c0,
                                                  double r0c1,
                                                  double r0c2,
                                                  double r1c0,
                                                  double r1c1,
                                                  double r1c2,
                                                  double r2c0,
                                                  double r2c1,
                                                  double r2c2)

      Construct a new immutable `PMatrix3x3D` instance.
      Parameters:
        `r0c0` - The value for the `r0c0` attribute
        `r0c1` - The value for the `r0c1` attribute
        `r0c2` - The value for the `r0c2` attribute
        `r1c0` - The value for the `r1c0` attribute
        `r1c1` - The value for the `r1c1` attribute
        `r1c2` - The value for the `r1c2` attribute
        `r2c0` - The value for the `r2c0` attribute
        `r2c1` - The value for the `r2c1` attribute
        `r2c2` - The value for the `r2c2` attribute
      Returns:
        An immutable PMatrix3x3D instance

    - #### builder

          public static <A,B> PMatrix3x3D.Builder<A,B> builder​()

      Creates a builder for `PMatrix3x3D`.
      Type Parameters:
        `A` - generic parameter A
        `B` - generic parameter B
      Returns:
        A new PMatrix3x3D builder

Copyright © 2017 <code@io7m.com> http://io7m.com